<template>

  <div id="app-calendar">

    <b-row>

    <b-col>
      
     <h1>{{date}} {{month}}</h1> 
  
      <div v-show="this.value.slice(8,10)==this.$store.state.date1" class="box-show">
          <p v-for="button in buttons" v-html="button">
            {{button}}
          </p>
      </div>

      <p v-show="this.value.slice(8,10)==21">{{this.$store.state.textdate}}</p>
  
    </b-col>

    <b-col>

      <p>{{month}}</p>     
      <b-calendar 
      v-model="value"
      selected-variant="success"
      today-variant="info"
      nav-button-variant="primary"
      locale="en"
      ></b-calendar>
      <p>{{year}}</p>
       
    </b-col>

    </b-row>

  </div>
</template>

<script>



export default {

  data () {

    return {  

       value:'',

    }
  },

computed:{

  month(){

     var month_value =this.value.slice(5,7);

    if(month_value==1){ return 'January';}
      
    else if(month_value==2){return 'February';}

    else if(month_value==3){

      return 'March';
    }

    else if(month_value==4){

      return 'April';
    }

     else if(month_value==5){

      return 'May';
    }

     else if(month_value==6){

      return 'June';
    }

     else if(month_value==7){

      return 'July';
    }

      else if(month_value==8){

      return 'August';
    }

      else if(month_value==9){

      return 'September';
    }

      else if(month_value==10){

      return 'October';

    }

      else if(month_value==11){

      return 'November';
    }

      else if(month_value==12){

      return 'December';
    }




    
  },

  year(){
    
     return this.value.slice(0,4);
  

  },

  date(){

    return  this.value.slice(8,10);

  },

  buttons(){
                    
      return this.$store.state.buttons
  },


     products(){
            return this.$store.state.products;
        },
        saleProducts(){
            return this.$store.getters.saleProducts;
        }
  

        
},



}
</script>

<style>
.button-click{

  background: green;
  color: white;
  border: none;
  padding: 25px;
  border-radius: 5px;
}

  .box-show{
    background: rgb(218, 216, 216);
    margin: 20px 0;
  }

.text{

  margin: 100px 0;
  color: white;
  background: gray;
  text-align: center;
  padding: 2.5px 0;
}

.inc{

  background: green;
  color: white;
  border: none;
  padding: 15px;
  border-radius: 5px;

}

</style>


